/*
 * Copyright (C) 2016 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include "libertine-scope/action.h"


#include "libertine-scope/service_manager.h"
#include <QDebug>


libertine::scope::Action::
Action(unity::scopes::Result const&         result,
       unity::scopes::ActionMetadata const& metadata,
       std::string const&                   action_id,
       std::shared_ptr<ServiceManager>      service_manager)
  : ActivationQueryBase(result, metadata)
  , action_id_(action_id)
  , service_(service_manager)
{ }


unity::scopes::ActivationResponse libertine::scope::Action::
activate()
{
  if (action_id_ == "open")
  {
    return unity::scopes::ActivationResponse(unity::scopes::ActivationResponse::Status::NotHandled);
  }

  if (action_id_ == "install")
  {
    service_->install(QString::fromStdString(result()["id"].get_string()));
  }
  else if (action_id_ == "remove")
  {
    service_->remove(QString::fromStdString(result()["id"].get_string()));
  }
  return unity::scopes::ActivationResponse(unity::scopes::ActivationResponse::Status::ShowPreview);
}
