/*
 * Copyright (C) 2016 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include <unity/scopes/ActivationQueryBase.h>


namespace libertine
{
namespace scope
{

class ServiceManager;

class Action : public unity::scopes::ActivationQueryBase
{
public:
  explicit Action(unity::scopes::Result const&         result,
                  unity::scopes::ActionMetadata const& metadata,
                  std::string const&                   action_id,
                  std::shared_ptr<ServiceManager>      service_manager);

  virtual ~Action() = default;

  virtual unity::scopes::ActivationResponse activate() override;

private:
  std::string action_id_;
  std::shared_ptr<ServiceManager> service_;
};
} // namesapce libertine
} // namesapce scope
