/*
 * Copyright 2016 Canonical Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, version 3, as published by the
 * Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#pragma once


#include <QList>
#include <QVariant>


namespace libertine
{
namespace scope
{


class Package
{
public:
  explicit Package() = default;
  virtual ~Package() = default;

  static Package from_map(QVariantMap const&);
  static QList<Package> from_map(QList<QVariantMap> const&);


  std::string id;
  std::string name;
  std::string summary;
  std::string package;
  std::string status;

  std::string description;
  std::string icon;
  std::string publisher;
  std::string website;
  std::string license;
  std::string progress;

  std::vector<std::string> screenshots;
};


} // Store
} // Libertine
