/*
 * Copyright 2016 Canonical Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, version 3, as published by the
 * Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#pragma once


#include <libertine-scope/preview.h>
#include <unity/scopes/PreviewQueryBase.h>

class HiddenApps;


class Preview
: public libertine::scope::Preview
{
public:
  explicit
  Preview(unity::scopes::Result const&                      result,
          unity::scopes::ActionMetadata const&              metadata,
          std::shared_ptr<libertine::scope::ServiceManager> service,
          std::shared_ptr<HiddenApps>                       hidden);

  virtual ~Preview() = default;

protected:
  virtual unity::scopes::PreviewWidget
  buttonWidgets(const libertine::scope::Package &package) const override;

private:
  std::shared_ptr<HiddenApps> hidden_;
};
