/**
 * @file store/entry_point.cpp
 * @brief The scope entry point.
 */
/*
 * Copyright 2016 Canonical Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, version 3, as published by the
 * Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include "scope/store/scope.h"
#include <unity/scopes/ScopeBase.h>

#define EXPORT __attribute__((visibility ("default")))

// These functions define the entry points for the scope plugin
extern "C"
{

EXPORT unity::scopes::ScopeBase*
UNITY_SCOPE_CREATE_FUNCTION()
{
  return new libertine::scope::Scope();
}


EXPORT void
UNITY_SCOPE_DESTROY_FUNCTION(unity::scopes::ScopeBase* scope)
{
  delete scope;
}

}
