/*
 * Copyright 2016 Canonical Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, version 3, as published by the
 * Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _MOCK_SERVICE_MANAGER_H
#define _MOCK_SERVICE_MANAGER_H

#include "libertine-scope/service_manager.h"
#include <gmock/gmock.h>


namespace libertine
{
namespace scope
{


class MockServiceManager : public ServiceManager
{
public:
  MockServiceManager()
    : ServiceManager()
  {
  }

  MOCK_CONST_METHOD1(search_cache, QList<Package>(QString const&));
  MOCK_CONST_METHOD1(app_info, Package(QString const&));
  MOCK_CONST_METHOD1(install, void(QString const&));
  MOCK_CONST_METHOD1(remove, void(QString const&));
};


} // namesapce Store
} // namesapce Libertine

#endif // _MOCK_SERVICE_MANAGER_H
